ApplicationReferencedObject (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface ApplicationReferencedObject

- All Superinterfaces:
    ApplicationObject, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    ApplicationReferencedObjectImpl

      public interface ApplicationReferencedObject
      extends ApplicationObject

  Representation of any object connected by strong reference to an application plugin object, whether directly or indirectly.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationReferencedObject` | `clone()` Create a cloned copy of this application referenced object.
    `AUID` | `getLinkedApplicationPluginInstanceID()` Return the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.
    `void` | `setLinkedApplicationPluginInstanceID(ApplicationPluginObject linkedApplicationPluginInstanceID)` Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object using the source of the reference.
    `void` | `setLinkedApplicationPluginInstanceID(AUID linkedApplicationPluginInstanceID)` Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.

    - ### Methods inherited from interface tv.amwa.maj.model.ApplicationObject

      `clearExtensionProperties, countExtensionProperties, getBaseClass, getExtensionProperty, getExtensionProperty, getExtensionPropertyIDs, getProperties, isExtensionPropertyPresent, isExtensionPropertyPresent, putExtensionProperty, putExtensionProperty, setBaseClass`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getLinkedApplicationPluginInstanceID

          AUID getLinkedApplicationPluginInstanceID()

      Return the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.

      Returns:
        Identifier of the application plugin object that strongly references this.
      See Also:
        `ApplicationPluginObject.getApplicationPluginInstanceID()`

    - #### setLinkedApplicationPluginInstanceID

          void setLinkedApplicationPluginInstanceID(AUID linkedApplicationPluginInstanceID)
                                             throws NullPointerException

      Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.

      Parameters:
        `linkedApplicationPluginInstanceID` - Identifier of the application plugin object that strongly references this.
      Throws:
        `NullPointerException` - Cannot set the linked application plugin instance using a `null` value.
      See Also:
        `setLinkedApplicationPluginInstanceID(ApplicationPluginObject)`, `ApplicationPluginObject.getApplicationPluginInstanceID()`

    - #### setLinkedApplicationPluginInstanceID

          void setLinkedApplicationPluginInstanceID(ApplicationPluginObject linkedApplicationPluginInstanceID)
                                             throws NullPointerException

      Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object using the source of the reference.

      Parameters:
        `linkedApplicationPluginInstanceID` - Application plugin object that strongly references this.
      Throws:
        `NullPointerException` - Cannot set the linked application plugin instance using a `null` value.
      See Also:
        `setLinkedApplicationPluginInstanceID(AUID)`, `ApplicationPluginObject.getApplicationPluginInstanceID()`

    - #### clone

          ApplicationReferencedObject clone()

      Create a cloned copy of this application referenced object.

      Specified by:
        `clone` in interface `ApplicationObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this application referenced object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.